<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Config file for Developer Info
 *
 * @package			Developer Info
 * @author			Marc Miller <http://www.bigoceanstudios.com>
 * @copyright 		Copyright (c) 2013 Big Ocean Studios <http://www.bigoceanstudios.com>
 *					Inspired by Stephen Lewis' SL Developer Info for EE1.x
 * @link			http://github.com/marc524/developer_info.ee_addon/
 * @see				http://expressionengine.com/user_guide/development/module_tutorial.html
 */

// Name: The human readable name of the add-on. This is what
// appears in the add-ons tab of EE.
define('DEVINFO_NAME', 'Developer Info');

// Id: Used to reference the class name where relevant (database
// queries and accessory `id` attribute).
define('DEVINFO_CLASS_NAME', 'Developer_Info');

// Description: Displayed in the add-ons tab to help users know
// what they are installing.
define('DEVINFO_DESCRIPTION', 'View essential details of your site in one place');

// Author: You...
define('DEVINFO_AUTHOR', 'Marc Miller');

// Version: The version number of the add-on. It should follow
// the same major.minor.bugfix scheme that EE follows.
define('DEVINFO_VERSION', '1.8.3');

// URL: The URL users can go to for help
define('DEVINFO_URL', 'github.com/marc524/developer_info.ee_addon');


/* End of file config.php */
/* Location: ./system/expressionengine/third_party/developer_info/config.php */